import axios from '@/utils/axios';

// 优惠券列表
export function getList(data) {
  return axios.post('/api/system/coupon/getList', data);
}

// 添加优惠券
export function addCoupon(data) {
  return axios.post('/api/system/coupon/add', data);
}

// 修改优惠券
export function editCoupon(data) {
  return axios.post('/api/system/coupon/edit', data);
}

// 删除优惠券
export function delCoupon(data) {
  return axios.post('/api/system/coupon/del', data);
}

// 优惠券详情
export function getCoupon(data) {
  return axios.post('/api/system/coupon/getInfoById', data);
}

// 优惠券发放
export function addCouponRecord(data) {
  return axios.post('/api/system/coupon/record/add', data);
}

// 获取优惠券开关
export function getCouponConfig(data) {
  return axios.post('/api/system/config/getCoupon', data);
}
// 设置优惠券开关
export function setCouponConfig(data) {
  return axios.post('/api/system/config/couponEdit', data);
}
